<!-- index.php -->
<!DOCTYPE html>

<?php

if(isset($_POST["message"])) $newmessage = $_POST["message"];

$dbhost="localhost";
$dbuser = "root";
$dbpass = null;
$dbname = "messageinbottle";

$conn = mysqli_connect($dbhost, $dbuser, $dbpass);
if(!$conn) die("Connection failed: " . mysqli_connect_error());

mysqli_select_db($conn, $dbname) || die('Corrupted database: ' . mysqli_error($conn));

if(isset($newmessage)){
  $query="DELETE FROM message;";
  mysqli_query($conn, $query) || die('Invalid query execute: ' . mysqli_error($conn));
  $query="INSERT INTO message (message) VALUES (?);";
  $stmt = mysqli_prepare($conn, $query);
  if(!$stmt) die('Invalid query prepare: ' . mysqli_error($conn));
  mysqli_stmt_bind_param($stmt, "s", $newmessage) || die('Invalid query bind param: ' . mysqli_error($conn));
  mysqli_stmt_execute($stmt) || die('Invalid query execute: ' . mysqli_error($conn));
}

$query="SELECT message FROM message;";
$queryres = mysqli_query($conn, $query);
if(!$queryres) die('Invalid query get result: ' . mysqli_error($conn));
if(mysqli_num_rows($queryres) === 0) $message = null;
else{
  $row = mysqli_fetch_assoc($queryres);
  $message = $row['message'];
}

?>

<html>
<body>

<h1>A Message in a Bottle</h1>
<img src="messageinbottle.jpg" alt="Message in a bottle" width="300"><br/>

Send a message in a bottle. Why? Perhaps to share a love story, or to transmit a memorial tribute, or to hack, who knows? <br/>
<form action="index.php" method="post" enctype="multipart/form-data">
  Message: <textarea name="message" rows="4" cols="50"></textarea><br/>
  <input type="submit" value="Put it in a bottle and send it">
</form>

<?php
if(isset($message)){
  echo "<h2>Your latest message</h2>";
  echo "<p>$message</p>";
}
mysqli_close($conn);
?>

<h2>Pray someone sees the bottle</h2>
<a href="pray.php">Click here</a>

</body>
</html> 
